### Type parameters

- #### T

### Hierarchy

- BaseRequest<T, any>
  - UpdateRequest

## Index

### Constructors

- constructor

### Properties

- dynamoRx
- modelClazz
- params

### Accessors

- metaData

### Methods

- exec
- execFullResponse
- operations
- returnConsumedCapacity
- returnItemCollectionMetrics
- returnValues
- where
- whereAttribute

## Constructors

### constructor

- new UpdateRequest(dynamoRx: DynamoRx, modelClazz: ModelConstructor<T>, tableName: string, partitionKey: any, sortKey?: any): UpdateRequest

- Overrides BaseRequest.constructor

  - Defined in dynamo/request/update/update.request.ts:22

  #### Parameters

  - ##### dynamoRx: DynamoRx

  - ##### modelClazz: ModelConstructor<T>

  - ##### tableName: string

  - ##### partitionKey: any

  - ##### Optional sortKey: any

  #### Returns UpdateRequest

## Properties

### dynamoRx

dynamoRx: DynamoRx

Inherited from BaseRequest.dynamoRx

- Defined in dynamo/request/base.request.ts:19

### modelClazz

modelClazz: ModelConstructor<T>

Inherited from BaseRequest.modelClazz

- Defined in dynamo/request/base.request.ts:21

### params

params: any

Inherited from BaseRequest.params

- Defined in dynamo/request/base.request.ts:20

## Accessors

### metaData

metaData:

Inherited from BaseRequest.metaData

- Defined in dynamo/request/base.request.ts:38

## Methods

### exec

- exec(): Observable<void>

- Overrides BaseRequest.exec

  - Defined in dynamo/request/update/update.request.ts:143

  #### Returns Observable<void>

### execFullResponse

- execFullResponse(): Observable<UpdateItemOutput>

- Overrides BaseRequest.execFullResponse

  - Defined in dynamo/request/update/update.request.ts:139

  #### Returns Observable<UpdateItemOutput>

### operations

- operations(...updateDefFns: UpdateExpressionDefinitionFunction[]): UpdateRequest<T>

- - Defined in dynamo/request/update/update.request.ts:73

  #### Parameters

  - ##### Rest ...updateDefFns: UpdateExpressionDefinitionFunction[]

  #### Returns UpdateRequest<T>

### returnConsumedCapacity

- returnConsumedCapacity(level: ReturnConsumedCapacity): UpdateRequest<T>

- - Defined in dynamo/request/update/update.request.ts:120

  #### Parameters

  - ##### level: ReturnConsumedCapacity

  #### Returns UpdateRequest<T>

### returnItemCollectionMetrics

- returnItemCollectionMetrics(returnItemCollectionMetrics: ReturnItemCollectionMetrics): UpdateRequest<T>

- - Defined in dynamo/request/update/update.request.ts:125

  #### Parameters

  - ##### returnItemCollectionMetrics: ReturnItemCollectionMetrics

  #### Returns UpdateRequest<T>

### returnValues

- returnValues(returnValues: "NONE" | "ALL_OLD" | "UPDATED_OLD" | "ALL_NEW" | "UPDATED_NEW"): UpdateRequest<T>

- - Defined in dynamo/request/update/update.request.ts:134

  #### Parameters

  - ##### returnValues: "NONE" | "ALL_OLD" | "UPDATED_OLD" | "ALL_NEW" | "UPDATED_NEW"

  #### Returns UpdateRequest<T>

### where

- where(...conditionDefFns: ConditionExpressionDefinitionFunction[]): UpdateRequest<T>

- - Defined in dynamo/request/update/update.request.ts:67

  #### Parameters

  - ##### Rest ...conditionDefFns: ConditionExpressionDefinitionFunction[]

  #### Returns UpdateRequest<T>

### whereAttribute

- whereAttribute(attributePath: keyof T): RequestConditionFunction<UpdateRequest<T>>

- - Defined in dynamo/request/update/update.request.ts:63

  #### Parameters

  - ##### attributePath: keyof T

  #### Returns RequestConditionFunction<UpdateRequest<T>>

Generated using TypeDoc